#!/bin/sh

# $Id: startpd.sh 1438 2011-07-23 11:18:52Z geier.matthias $

# This little script starts Pd (Puredata) setting the necessary paths.
# After doing that, it disconnects pd's output ports from the soundcard
# The command line options are forwarded to Pd.

# if no patch is specified on the command line, this one is opened:
PD_PATCH=ssr_client.pd

if [ $# -gt 0 ]
then
  PD_PATCH="$@"
fi

#PD_OPTIONS=-nogui

# less than 2 doesn't work well:
INCHANNELS=4
# 32 seems to be the maximum for Pd right now
OUTCHANNELS=32

PD_OUTPUT=pure_data_0:output
# if several pd's are started, the number is incremented!
SYS_PLAYBACK=system:playback_

# change to the pd-directory (in case you start pd from a desktop icon)
cd "$(dirname "$0")"

pd $PD_OPTIONS -jack -inchannels $INCHANNELS -outchannels $OUTCHANNELS \
  -path abs \
  -path ext/mrpeach/osc \
  -path ext/mrpeach/net \
  -path ext/pdstring/src \
  -path ext/comport \
  -path ext/ic3 \
  -lib mrpeach \
  -lib moocow \
  -lib zexy \
  -lib Gem \
  "$PD_PATCH" &

# -soundindev 1 -soundoutdev 1 -audiobuf 200

sleep 3 # sleep a few seconds to get pd connected to JACK ...

# ... then disconnect the output connections
for OUTPUT in $(seq 1 $OUTCHANNELS)
do
  # attention: pd starts with 0, system starts with 1!
  jack_disconnect $PD_OUTPUT$(($OUTPUT-1)) $SYS_PLAYBACK$OUTPUT
done
